<?php

namespace TDevAgency\Erp\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class CustomerAddress extends Model
{
    protected $fillable = [
        'customer_id',
        'country_code',
        'city',
        'street',
        'house_number',
        'postal_code',
        'apt_number',
        'phone_one',
        'first_name',
        'last_name',
    ];

    /**
     * @return BelongsTo
     */
    public function customer()
    {
        return $this->belongsTo(Customer::class);
    }
}
